PFE 0.33.71

Homepage
SourceForge
Download
Documentation
-Overview
-The PFE Manual
old manual / (book)
-ChangeLog
-Authors
-License (LGPL)
-Wordsets / (book)
-Functions .. (book)
-Dp of ANS Forth
-The 4thTutor
-Forthprimer.pdf
- Old Wordsets
- Old Words List
Forth Links
* Forth Repository
* Taygeta Compilation
* TinyBoot FirmWare
* FiCL, Free Forth
* Research Vienna
* Research Bournemouth
* zForth WebRing
Other Links
* Tektronix/MPT
* Forth Org. (FIG)
* Forth Inc.
* MPE Ltd. Forths
* SF Win32Forth
* PD Win32Forth
* Neil Bawd

generated
(C) Guido U. Draheim
guidod@gmx.de

## Terminal

> Interface extensions

`SHOW-TERMCAP``( -- )``for debugging` => `"EXTENSIONS"`

  print the termcap strings used for input and output may give hints about what is wrong if the terminal seems to miss some functionality

  primitive code = [p4_show_termcap]

`SHOW-TERM-CONTROLS``( -- )``for debugging` => `"EXTENSIONS"`

  show the current mappings for the terminal output may give hints about what is wrong if the output seems to miss some functionality

  primitive code = [p4_show_control_strings]

`SHOW-TERM-ESC-KEYS``( -- )``for debugging` => `"EXTENSIONS"`

  show the current mappings for the terminal input may give hints about what is wrong if the input seems to miss some functionality

  primitive code = [p4_show_rawkey_strings]

`ASSUME_VT100``( -- )``` => `"EXTENSIONS"`

  load hardwired VT100-termcap into the terminal-driver

  primitive code = [p4_assume_vt100]

`ASSUME_DUMBTERM``( -- )``` => `"EXTENSIONS"`

  load hardwired DUMBTERM-termcap into the terminal-driver

  primitive code = [p4_assume_dumbterm]

`GOTOXY``( x y -- )``` => `"EXTENSIONS"`

  move the cursor to the specified position on the screen - this is usually done by sending a corresponding esc-sequence to the terminal.

  primitive code = [p4_gotoxy]

`?XY``( -- x y )``` => `"EXTENSIONS"`

  returns the cursor position on screen, on a real unix system this includes a special call to the screen driver, in remote systems this can be the expected position as seen on the client side's terminal driver.

  primitive code = [p4_question_xy]

`CLS``` => `"EXTENSIONS"`

  (no description)

  primitive code = [p4_dot_clrscr]

`.CLRSCR``` => `"EXTENSIONS"`

  (no description)

  primitive code = [p4_dot_clrscr]

`.CLREOL``` => `"EXTENSIONS"`

  (no description)

  primitive code = [p4_dot_clreol]

`.HOME``` => `"EXTENSIONS"`

  (no description)

  primitive code = [p4_dot_home]

`.HIGHLIGHT``` => `"EXTENSIONS"`

  (no description)

  primitive code = [p4_dot_highlight]

`.HIGHLIGHT.OFF``` => `"EXTENSIONS"`

  (no description)

  primitive code = [p4_dot_highlight_off]

`.UNDERLINE``` => `"EXTENSIONS"`

  (no description)

  primitive code = [p4_dot_underline]

`.UNDERLINE.OFF``` => `"EXTENSIONS"`

  (no description)

  primitive code = [p4_dot_underline_off]

`.INTENSITY``` => `"EXTENSIONS"`

  (no description)

  primitive code = [p4_dot_intensity]

`.INTENSITY.OFF``` => `"EXTENSIONS"`

  (no description)

  primitive code = [p4_dot_intensity_off]

`.BLINKING``` => `"EXTENSIONS"`

  (no description)

  primitive code = [p4_dot_blink]

`.BLINKING.OFF``` => `"EXTENSIONS"`

  (no description)

  primitive code = [p4_dot_blink_off]

`.REVERSE``` => `"EXTENSIONS"`

  (no description)

  primitive code = [p4_dot_reverse]

`.REVERSE.OFF``` => `"EXTENSIONS"`

  (no description)

  primitive code = [p4_dot_reverse_off]

`.NORMAL``` => `"EXTENSIONS"`

  (no description)

  primitive code = [p4_dot_normal]

`.BELL``` => `"EXTENSIONS"`

  (no description)

  primitive code = [p4_dot_bell]

`EKEY>FKEY``( key-code# -- key-code# 0 | fkey-code# true! )``` => `"EXTENSIONS"`

  If the input ekey value was not an extended key then flag is set to FALSE and the value is left unchanged. Compare to EKEY>CHAR for the inverse.

  If the input eky was an extended key then the value will be modified such that shifted values are transposed to their base EKEY plus `K-SHIFT-MASK` - therefore the K-SHIFT-MASK is only apropriate for the result fkey-code values of this function.

  primitive code = [p4_ekey_to_fkey]